Version 1.0.8 - January 17, 2016

1. Fixing settings scroll issue
2. Fixing cursor position issue on form filling 


Version 1.0.6 - November 13, 2015

1. Adding support for input of type "tel"
2. Options page size issue on Mac OS is fixed 


Version 1.0.5 - August 23, 2015

1. Fixing AutoFill is not working on iframes
2. Adding support for inputs of type number


Version 1.0.4 - June 21, 2015

1. Adding support for element focusing which is compatible with Electrolysis


Version 1.0.3 -  November 25, 2014

1. A few compatibility fixes to support Electrolysis


Version 1.0.2 - September 9, 2014

1. Compatibility fixes with Firefox 35.0


Version 1.0.2b1 - September 6, 2014


Version 1.0.1 - September 6, 2014

Same as version 1.0.0 except a bug related to saving profiles is fixed.


Version 1.0.1b2 - September 6, 2014


Version 1.0.1b1 - September 4, 2014


Version 1.0.0.0 - September 3, 2014

1. Fixing options window resizes itself to the screen height bug.
2. Supporting more input types for context menu item.
3. Applying some security fixes.
4. Making the extension compatible with Firefox Australis.
5. Supporting Retina resolution for the toolbar button.


Version 0.9.9.0 - November 30, 2012

Minor fix to scrolling in preference windows
NOTE: Firefox version 17 and above required for this version


Version 0.9.8.8 - November 28, 2012

Firefox V17 compatible
Improved layout to option windows on all platforms.


Version 0.9.8.7 - November 27, 2012

Autofill Forms 0.9.8.7 provides Firefox 17 support. You will also see that the icon has been moved to the right side of the address bar to comply with Firefox policy.


Version 0.9.8.6 - November 25, 2012

Minor update to make version number consistent


Version 0.9.8.5 - November 19, 2012

minor update to post install message


Version 0.9.8.4 - November 14, 2012

minor change in post install messaging


Version 0.9.8.3 - October 20, 2011

Updated icon size to match FireFox.


Version 0.9.8.2 - September 26, 2011

* Fixed export profile feature.
* Removed reliance on NSI extension manager.


Version 0.9.8.1 - June 27, 2011

Compatible with FireFox 5


Version 0.9.8.0 - February 4, 2011

Compatible with FireFox v4 Beta 10


Version 0.9.7.0 - December 28, 2010

Updated for FireFox version 4 b8


Version 0.9.6.1 - September 11, 2010

Changelog:

* Fixed the locale bug introduced in 0.9.6.0. As a temporary measure, only en-US and fr-FR locales are supported in 0.9.6.1. This will be fixed in the next version.

* Cleaned-up the dynamic tags import/export. The updated import function now checks for duplicates and empty rules (empty tag name / empty tag rule).

* The tag editor allows for any changes to be cancelled. This has now been extended to importing tags: If tags are imported from the advanced tab, they are added immediately. However, if imported through the tag editor, they are added only when the ok button is pressed. If the cancel button is pressed instead, the imported tags are discarded.

* Tweaked the layout and window size to 650x450 which should display on smaller screens.

* Clicking multiple times on the dynamic tag button doesn't open multiple windows anymore. It still does when the settings window is open and closed while the tag editor window is left open. Not quite sure how to fix this (see the updated showDialog function in autofillForms.js).


Version 0.9.6.0 - September 9, 2010

New features in this release:

    Added support for the latest versions of firefox (3.6.8, 4.0b5 and nightly)

    Basic support for exporting / importing Dynamic tags to text files

    Support multiple profiles in a single file (both export and import).

    Option for filling-in disabled fields

    Added rule name in the alternative rule dialog window

    Basic support for exporting/importing Dynamic tags. Basic means that the import won't check if a dynamic name is already available (same name and same rule) but this could be added later. The file format is very similar to the one for exported rules, but safety checks are in place if you try to load one for the other.

    Trigger change events. Some forms use change events to trigger background actions. This is now supported through a preference option. See for example the form at the bottom of http://www.htmlcodetutorial.com/forms/_INPUT_onChange.html

Other improvements / items from the TODO list:

    Highlight the field for which the Alternatives selection prompts.

    Add option to call the onchange event after filling out fields.

    Add option to disable "Alternatives" (always use first match).

    Ignore disabled fields: This is enabled by default. In some cases, it may be useful to either show the disabled fields names and/or autofill them. See for example http://www.w3schools.com/tags/tryit.asp?filename=tryhtml_input_disabled for which you can easily create rules for the fields called Fname and Lname

    Click "Autofill forms settings window -> Profiles -> Profiles list column header" to sort the profiles will make profiles relation be disordered.

    Support for the newest versions of firefox: 3.6.8, 4.0b5 and nightlies are now supported. Reported by Fateh Singh

    Created rules for Vn_qty and Ja_qty and see the total price change dynamically when these cells are auto-filled (when Trigger change events is checked). Caution: Complex forms requiring server side validation, etc... may not like this. Might work better as a rule based option + possible added delay.

    Option for disabling alternatives. When disabled, the first (highest priority) rule alternative is always chosen.

    Changed the alternative choice window. Each alternative is now displayed both as the rule and rule name. This probably would probably look a lot better as a tabular list, maybe someone could look into this later. Also tried to highlight the field with a red rectangle like firebug does, but depending on the platform, it may not look right. Still needs some work.

Bug fixes:

    Bug 21866, 23028, and last reported by rguer45

    Bug 22510 (Tom D.): Preference windows are not sized correctly. Fixed: Main settings window size now defaulted to around 610x610. Should be OK on 1024x768 screen. Dynamic tags window width decreased from 670 to 525 to match the main window.

    Multiple profiles exported to a single file (Bug 21867 opened by Michael): The import function can now import either single profile files or multiple profile files. Export is now split between two buttons (export current / export all).


Version 0.9.5.2 - August 30, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.5.2
Now compatible with Firefox 4.0 beta 1.


Version 0.9.5.1 - July 13, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.5.1


Version 0.9.5 - June 28, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.5


Version 0.9.4.2 - June 3, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.4.2


Version 0.9.4.1 - June 3, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.4.1


Version 0.9.4 - May 28, 2008

http://autofillforms.mozdev.org/changelog.html#v0.9.4


Version 0.9.3 - May 8, 2008

New features:
- Added the possibility to manually fill out form fields via their context menu.
This allows to insert data from the profiles while ignoring the form field rules.
- Added support for element ids as fallback if a form element has no name or label assigned.
- Added support to match form fields by position.
This new feature is currently a hiddden option and has to be enabled via about:config (matchAgainstPositions).
Position rules are identified by the character "#" adjustable via about:config (positionsIdentifier).
A rule matching always the second form element would be "#2".
Another rule matching the third element on the second form would be "2#3".
You can also combine matching form field names with matching form field positions:
A rule matching the second form field or fields with the name "test" would be "(test)|(#2)".


Version 0.9.2.3 - April 24, 2008

Bugfixes:
- Fixed a bug which caused form element labels not assigned to any form element to always match.


Version 0.9.2.2 - April 11, 2008

New features:
- Added new example dynamic tag to insert the current clipboard text content.
The dynamic tag code to access the clipboard text is this.getClipboardText().

Other changes:
- Updated czech locale - thanks to PetrTwo.


Version 0.9.2.1 - April 10, 2008

Changes:
- Updated french locale - thanks to myahoo.


Version 0.9.2 - April 6, 2008

New features:
- Added the possibility to add a complete web form as Autofill Forms profile (by using the context menu of a form field).

Bugfixes:
- Added a workaround for the missing integrated help system which has been removed for Firefox 3.0b5 and later.

Other changes:
- Adding new rules to the start of the list (or right after the selection) instead of to the end.
- Added the regular expression for valid form field types as "about:config" option.
- Hiding passwords in the simple interface and in the rules list behind asterisks (*).
Passwords are defined by the label/name of a rule which is compared to a regular expression (regExpPasswordLabel in "about:config").


Version 0.9.1.1 - March 25, 2008

New features:
- Added a selection of the available profiles to the Autofill Forms menu popup.

Bugfixes:
- Fixed a bug preventing the proper selection of the best matching profile.

Other changes:
- The option autoSelectBestProfile is now enabled by default.
- The current profile is now declared best match for equal match lengths instead of the first matching profile in the list.
- Resetting the profile to the manually selected one after using the best matching profile.
This can be disabled by setting the "about:config" option "resetProfileAfterAutoSelect" to false.


Version 0.9.1 - March 23, 2008

New features:
- Added the possibility to restrict profiles to certain websites by setting a profile site rule.
- Added an option to automatically select the best matching profile dependent on the form url and the profile site rules.

Bugfixes:
- Editing a rule with the rule editor did not apply the changes automatically on confirmation.


Version 0.9 - February 16, 2008

New features:
- Added a more intuitive and much simpler interface to edit the field rules in addition to the main editing pane.
- Made several hidden features accessible on the settings page.
- Added button to reset all profiles to the simple interface pane.
- Made sure profiles always get a unique name (label change, import or adding of profiles).
- Slightly improved the default profile rules.
- Added a toolbar button without menu (but with context menu).

Other changes:
- Unsetting the fieldRules object after each fillForms call instead of keeping them in memory.
- Storing the profile labels as file if useConfigDirectory is enabled.


Version 0.8.2 - January 31, 2008

New features:
- Improved alternatives code and added alternatives support for selections and radio buttons.
- Added "about:config" option "useConfigDirectory" which allows to store the fieldRules, dynamicTags and dynamicTagCodes as files.
The files are stored in the directory "autofillForms@blueimp.net" beneath the Firefox profile directory by default.
This can be changed using the "about:config" option "configDirectory" - it is recommended to keep the default.


Version 0.8.1.2 - December 20, 2007

Changes:
- Updated italian locale - thanks to gonzalopirobutirro and Godai71.


Version 0.8.1.1 - December 17, 2007

Changes:
- Updated french locale - thanks to myahoo.


Version 0.8.0.3 - November 30, 2007

New features:
- Added (hidden) statusbar icon - can be made visible via about:config setting extensions.autofillForms@blueimp.net.hideStatusbarIcon.


Version 0.8.0.2 - November 29, 2007

Bugfixes:
- The settings page didn't allow to enable the global profile - the enableGlobalProfile preference tag was missing inside the XUL document.


Version 0.8.0.1 - November 27, 2007

Bugfixes:
- Selecting an item right after changing a textbox value does not fire any onchange/onblur events which resulted in the changes not being saved.
Applying the changes on the last selected item on a new selection as workaround.
- Changes applied if more than one item has been selected could result in the wrong item being updated.


Version 0.8 - November 26, 2007

New features:
- Adding the possibility to define a Global Profile, which is applied on form fields that cannot be filled out using the current profile.
- Applying the siteRule on the whole url, not just on protocol and hostname.
- Adding a validate button and result textbox to the dynamic tag editor.
- Added confirmation dialogs to removal methods (can be disabled via about:config setting "enableConfirmationDialogs").
- New hidden feature "matchAgainstLabels". Can be enabled via about:config by setting extensions.autofillForms@blueimp.net.matchAgainstLabels to true.
If enabled, matches the fieldRules against the textual content of label tags assigned to the current element if the element name does not match.
- Added a new help section: "Hidden settings".
- The focus is now set on the last form element match - this allows to submit autofilled forms by hitting the enter key.

Bugfixes:
- Pressing the delete key (keyCode 46) doesn't call the remove method anymore if a textbox is focused.
- The nsISecretDecoderRing methods encryptString/decryptString cannot handle characters above the Latin-1 (ISO-8859-1) charset.
The usage of encodeURI/decodeURI on the fieldRule properties bypasses this problem as a workaround.


Version 0.7.0.3 - September 11, 2007

New features:
- Added Chinese (Traditional) locale - Thanks to Lu Ming-Tse (呂明澤).
- Added Midbrowser (Firefox for Mobile Internet Devices) GUID to target applications (BETA) - see http://www.moblin.org.


Version 0.7.0.2 - August 21, 2007

Bugfixes:
- If browser.preferences.animateFadeIn is set to true (which is the default on a Mac) the rule list had been hidden - fixed.


Version 0.7.0.1 - August 9, 2007 86.0 kB Fonctionne avec Firefox 1.5 - 3.0a7

User Interface improvements:
- FieldRule list now takes up the free space when resizing the settings window
- Rule editor list now takes up the free space when resizing the rule editor window
- Rule editor textboxes now take up the free space when resizing the rule editor window
- Tag editor list now takes up the free space when resizing the tag editor window
- Tag editor tag code textboxes now take up the free space when resizing the tag editor window


Version 0.7 - July 31, 2007

New features:
- Added possibility to deselect checkboxes/radio buttons by deactivating the "Overwrite" setting
- Added support for dynamic tags which can be used to insert dynamic data in form fields, e.g. the current date
- Added possibility to fill out forms on all open tabs via about:config setting "fillAllTabs"
- Added confirmation dialog before deleting a profile
- Removed "Apply" button for field rules - field rules are now updated as soon as the textboxes lose focus
- Updated documentation
- Added Hungarian locale - Thanks to Mikes Kaszmán István (Cashman) at babelzilla.org
- Added Italian locale - Thanks to Underpass, gonzalopirobutirro and Godai71 at babelzilla.org
- Added Polish locale - Thanks to teo at babelzilla.org


Version 0.6.2.1 - July 18, 2007

New features:
- Added Chinese (Simplified) locale - Thanks to simophin at babelzilla.org


Version 0.6.2 - July 5, 2007

New features:
- Added support for file upload fields


Version 0.6.1.1 - June 20, 2007

New features:
- Added czech locale - Thanks to PetrTwo at babelzilla.org


Version 0.6.1 - June 6, 2007

New features:
- Improved default ruleset
- Dialog windows independent from parent window
- Highlight style using CSS declarations via about:config for matched and not matched form fields
- Added support for password fields - for password management please rather use the Secure Login extension
- Added french locale - Thanks to myahoo at babelzilla.org
- Added dutch locale - Thanks to markh at babelzilla.org


Version 0.6 - May 18, 2007

New features:
- Added Import/Export feature for profiles


Version 0.5 - May 16, 2007

New features:
- Added support for textareas
- A new option defines a placeholder to create line breaks in textareas
- Extended help page to explain how to use placeholders for line breaks


Version 0.4 - May 15, 2007

Bugfixes:
- When moving rules up or down or adding new rules, the view scrolls now to ensure visibility
- Added rules are inserted after the currently selected item instead of at the end of the list

New features:
- If subsequent rules with the same fieldRule exist (Alternatives"), a prompt is displayed for selection.
- A new option defines if the selected alternatives index is to be used for subsequent selections.
- Extended help page to explain how the "Alternatives" work


Version 0.3 - May 10, 2007

New features:
- Added profiles
- Added profile switcher
- Added shortcuts for profile switcher and settings page
- Extended toolbar button to include menu items for profile switcher and settings page
- Added 'Display Form Details' button on settings page to support creating form field rules
- Added Rule Editor to help creating custom rules without regular expression knowledge
- Improved settings page (using tabs, better structuring)
- Extended help page
